This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 890164 - missing instruction of exit ‘Full Screen’ Mode in VNC console
missing instruction of exit ‘Full Screen’ Mode in VNC console
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
medium Severity medium
: beta
: 4.0
Assigned To: Julie Pichon
Ami Jeain
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-25 07:29 EST by Ofer Blaut
Modified: 2016-04-26 10:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-13 06:52:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1251196 None None None Never

  None (edit)
Description Ofer Blaut 2012-12-25 07:29:55 EST
Description of problem:

There is an instruction howoto enter VNC ‘Full Screen’ Mode


but there is none to exit ‘Full Screen’ Mode in VNC console  


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. lunch instance 
2.enter its vnc console 
3. select "click here to show only VNC )
4. Now try to get back
  
Actual results:


Expected results:


Additional info:
Comment 2 Julie Pichon 2013-01-14 11:36:19 EST
When I click on "Show only VNC", the VNC console fills my browser window but I can still see the browser navigation controls (including the Back button).

I'm not sure if there are any keyboard shortcuts for the in-browser VNC console. Looking at the URL it's a direct link to the vnc_auto.html hook page provided by the nova noVNC plug-in. Would updating the instruction with an explanation similar to "Please use your browser Back button to return to the dashboard" be suitable?
Comment 3 Julie Pichon 2013-01-24 10:03:58 EST
Would adding an explanation that you will need to use your browser Back button to return to the dashboard resolve the problem you encountered?
Comment 4 Ofer Blaut 2013-01-27 03:10:36 EST
Hi Juile 

Adding explanation how to exit "show only VNC"  after getting into Full Screen 

near the "Connected (unencrypted) to: QEMU (instance-..." bar will be great 

Thanks
Ofer
Comment 5 Alvaro Lopez Ortega 2013-01-31 09:37:03 EST
Actually, the "Connected (unencrypted) to: QEMU (instance-00000849)" is completely irrelevant IMHO, and it could be well replaced with an explanation about how to exit the full screen mode.
Comment 6 Julie Pichon 2013-01-31 10:06:13 EST
Unfortunately with regard to the last 2 suggestions, this HTML page including the grey bar is part of another independent project that lives outside of the Horizon source tree (the noVNC project), making them difficult to implement.
Comment 7 Julie Pichon 2013-11-13 06:52:56 EST
The issues highlighted in the comments make this bug difficult to fix, for a very small gain.
Comment 9 Ofer Blaut 2013-11-17 02:57:58 EST
Bug opened upstream

Note You need to log in before you can comment on or make changes to this bug.